{% extends 'base.html.twig' %}

{% block body %}
    <style>
        body {
            margin: 0 5px;
        }
    </style>

    <div class="navbar navbar-inverse">
        <div class="navbar-inner">
            <a class="brand" href="#">Cafe Critic</a>
            <form class="navbar-form pull-left" action="{{ path('app_institution_findinstitution') }}" method="post">
                <input type="text" name="title" class="span2" value="" />
                <input type="submit" class="btn" value="find"/>
            </form>
            <ul class="nav">
                <li class="active"><a href="{{ path('homepage') }}">homepage</a></li>

                {% if app.user != null %}
                    <li><a href="{{ path('app_institution_newinstitution') }}">add new Institution</a></li>
                    <li><a href="{{ path('fos_user_security_logout') }}">logout</a></li>
                {% else %}
                    <li><a href="{{ path('fos_user_security_login') }}">login</a></li>
                    <li><a href="{{ path('fos_user_registration_register') }}">register</a></li>
                {% endif %}
            </ul>
        </div>
    </div>



    <div class="conteiner">
        <h1>All places</h1>
        <p>Select category: </p>

        <div class="row">
            {% for category in categories %}
                <div class="span2">
                    <a href="{{ path('app_institution_category', {id: category.id }) }}">{{ category.name }}</a>
                </div>
            {% endfor %}
            <p><a href="{{ path('homepage') }}">All</a>
        </div>
        </p>
    </div>

    <div class="conteiner">
        <div class="row">
            {% for institution in pagination %}
                <div class="span4">
                    <a href="{{ path('app_institution_institution', {id: institution.id }) }}"><img
                                src="{{ vich_uploader_asset(institution, 'imageFile') }}"/></a>
                    <a href="{{ path('app_institution_institution', {id: institution.id }) }}">{{ institution.title }}</a>
                    <br>
                    <!-- example using callback -->
                    <span class="my-rating-9"></span>
                    <span class="live-rating"></span>

                    <p>({{ institution.reviews.count }} reviews)</p>
                    <p>{{ institution.pictures.count }} photos</p>
                </div>



                <script type="text/javascript">
                    $(document).ready(function () {
                        $.ajax({
                            type: 'GET',
                            url: '/rating/' + {{ institution.id }},
                            success: function (data) {
                                $(".my-rating-9").starRating({
                                    initialRating: data,
                                    disableAfterRate: false,
                                    onHover: function (currentIndex, currentRating, $el) {
                                        console.log('index: ', currentIndex, 'currentRating: ', currentRating, ' DOM element ', $el);
                                        $('.live-rating').text(currentIndex);
                                    },
                                    onLeave: function (currentIndex, currentRating, $el) {
                                        console.log('index: ', currentIndex, 'currentRating: ', currentRating, ' DOM element ', $el);
                                        $('.live-rating').text(currentRating);
                                    }
                                });
                            }
                        });
                    });
                </script>

            {% endfor %}
        </div>
    </div>

    <div class="navigation">
        {{ knp_pagination_render(pagination) }}
    </div>



    <script src="{{ asset('r/src/jquery.star-rating-svg.js') }}"></script>



{% endblock %}
